Bug 521751 - setroubleshoot: SELinux is preventing the X from using potentially mislabeled files (.serverauth.2592).
Summary: setroubleshoot: SELinux is preventing the X from using potentially misla...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:747e1bad75f...
: 521750 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 06:32 UTC by pavel mikula
Modified: 2009-10-20 20:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-20 20:51:52 UTC


Attachments (Terms of Use)

Description pavel mikula 2009-09-08 06:32:33 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing the X from using potentially mislabeled files
(.serverauth.2592).

Detailed Description:

[X has a permissive type (xserver_t). This access was not denied.]

SELinux has denied X access to potentially mislabeled file(s)
(.serverauth.2592). This means that SELinux will not allow X to use these files.
It is common for users to edit files in their home directory or tmp directories
and then move (mv) them to system directories. The problem is that the files end
up with the wrong file context which confined applications are not allowed to
access.

Allowing Access:

If you want X to access this files, you need to relabel them using restorecon -v
'.serverauth.2592'. You might want to relabel the entire directory using
restorecon -R -v ''.

Additional Information:

Source Context                unconfined_u:unconfined_r:xserver_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:admin_home_t:s0
Target Objects                .serverauth.2592 [ file ]
Source                        X
Source Path                   /usr/bin/Xorg
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-server-Xorg-1.6.99-43.20090828.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.30-1.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   home_tmp_bad_labels
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-0.190.rc8.fc12.i686 #1
                              SMP Fri Aug 28 19:07:13 EDT 2009 i686 i686
Alert Count                   2
First Seen                    Tue 08 Sep 2009 08:21:46 AM CEST
Last Seen                     Tue 08 Sep 2009 08:21:46 AM CEST
Local ID                      62ea592e-0a3d-44c5-a3d8-fbf0a0d0d435
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1252390906.408:43): avc:  denied  { read } for  pid=2609 comm="X" name=".serverauth.2592" dev=dm-0 ino=5599 scontext=unconfined_u:unconfined_r:xserver_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1252390906.408:43): avc:  denied  { open } for  pid=2609 comm="X" name=".serverauth.2592" dev=dm-0 ino=5599 scontext=unconfined_u:unconfined_r:xserver_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1252390906.408:43): arch=40000003 syscall=5 success=yes exit=24 a0=bfa95964 a1=0 a2=1b6 a3=81c60ae items=0 ppid=2608 pid=2609 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=tty7 ses=3 comm="X" exe="/usr/bin/Xorg" subj=unconfined_u:unconfined_r:xserver_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= xserver_t ==============
allow xserver_t admin_home_t:file { read open };

Comment 1 Daniel Walsh 2009-09-08 14:47:17 UTC
Did you attempt to login as root via X Windows?  This is unsupported.

Comment 2 Daniel Walsh 2009-09-08 14:47:43 UTC
*** Bug 521750 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.